Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#40884 - [subversion] Needs rebuild for perl-5.20.0

Attached to Project: Arch Linux
Opened by Christopher J. Madsen (cjm) - Wednesday, 18 June 2014, 14:57 GMT
Last edited by Felix Yan (felixonmars) - Thursday, 19 June 2014, 06:15 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Angel Velasquez (angvp)
Felix Yan (felixonmars)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
The Perl API modules in subversion-1.8.9-2 are not linked against perl-5.20.0-4

This task depends upon

Closed by  Felix Yan (felixonmars)
Thursday, 19 June 2014, 06:15 GMT
Reason for closing:  Not a bug
Comment by Felix Yan (felixonmars) - Wednesday, 18 June 2014, 15:39 GMT
It had been rebuilt, and what problem do you have exactly?
Comment by Christopher J. Madsen (cjm) - Wednesday, 18 June 2014, 16:11 GMT
The tool for scanning for broken packages (https://git.server-speed.net/users/flo/bin/plain/find-broken-perl-packages.sh) keeps reporting these files as broken.

/usr/lib/perl5/vendor_perl/auto/SVN/_Fs/_Fs.so
/usr/lib/perl5/vendor_perl/auto/SVN/_Repos/_Repos.so
/usr/lib/perl5/vendor_perl/auto/SVN/_Ra/_Ra.so
/usr/lib/perl5/vendor_perl/auto/SVN/_Wc/_Wc.so
/usr/lib/perl5/vendor_perl/auto/SVN/_Client/_Client.so
/usr/lib/perl5/vendor_perl/auto/SVN/_Delta/_Delta.so
/usr/lib/perl5/vendor_perl/auto/SVN/_Core/_Core.so

But I guess this is a false positive, because I wrote a test script and it seems to work. I was also confused because the last update was 2014-06-04 and the last update for Perl was 2014-06-14.

Sorry about the confusion.
Comment by Felix Yan (felixonmars) - Wednesday, 18 June 2014, 17:20 GMT
The script tries -MSVN::_Fs, but that does not exist. Use -MSVN::Fs would just work fine.

The last update for Perl was for 5.20.0-4, while the rebuilding was against perl 5.20.0-2, which was built [1] on May 28.

[1] https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/perl&id=331fab4a87abc73063938d9b85d128ff687eb8be

Loading...